stages:
  - Functional test

.Functional test template: &functional_test
  stage: Functional test
  # This image is now only for php7 and node 8
  image: stickee/docker-ci-node-php7:node-8-chrome
  tags:
    - docker
    - ibuildings
  before_script:
    # Setup
    - apt-get update
    - apt-get install libnss3
    - chmod +x ${CI_PROJECT_DIR}/bin/BrowserStackLocal
    - mv ${CI_PROJECT_DIR}/bin/BrowserStackLocal /usr/local/bin/

    # Start the webservice.
    - composer install
    - (cd web && php -S localhost:8000) &

MacOs chrome:
  <<: *functional_test
  script:
    - ./vendor/bin/behat --colors --tags="javascript&&~wip&&~fails" --profile bs_osx_chrome

Android 8.0 chrome:
  <<: *functional_test
  script:
    - ./vendor/bin/behat --colors --tags="javascript&&~wip&&~fails" --profile bs_android_s9_chrome

MacOs chrome fails:
  <<: *functional_test
  script:
    - ./vendor/bin/behat --colors --tags="javascript&&~wip&&fails" --profile bs_osx_chrome
  allow_failure: true

Windows ie 10:
  <<: *functional_test
  when: manual
  script:
    - ./vendor/bin/behat --colors --tags="javascript&&~wip&&~fails" --profile bs_windows_ie10

Test quality:
  <<: *functional_test
  script:
    - ./bin/BehatBrowserstack --args="--profile bs_osx_chrome" test-quality
